package com.xinyilu.system.service.ItemBatchInfo;

import com.xinyilu.system.domain.ItemBatchInfo.ItemBatchInfo;

import java.util.List;

/**
 * 批次项目关系Service接口
 *
 * @author 纪寒
 * @date 2022-08-24
 */
public interface IItemBatchInfoService {
    /**
     * 查询批次项目关系
     *
     * @param id 批次项目关系主键
     * @return 批次项目关系
     */
    public ItemBatchInfo selectItemBatchInfoById(Long id);

    /**
     * 查询批次项目关系列表
     *
     * @param itemBatchInfo 批次项目关系
     * @return 批次项目关系集合
     */
    public List<ItemBatchInfo> selectItemBatchInfoList(ItemBatchInfo itemBatchInfo);

    /**
     * 新增批次项目关系
     *
     * @param itemBatchInfo 批次项目关系
     * @return 结果
     */
    public int insertItemBatchInfo(ItemBatchInfo itemBatchInfo);

    /**
     * 修改批次项目关系
     *
     * @param itemBatchInfo 批次项目关系
     * @return 结果
     */
    public int updateItemBatchInfo(ItemBatchInfo itemBatchInfo);

    /**
     * 批量删除批次项目关系
     *
     * @param ids 需要删除的批次项目关系主键集合
     * @return 结果
     */
    public int updateItemBatchInfoByIds(Long[] ids);

    /**
     * 删除批次项目关系信息
     *
     * @param id 批次项目关系主键
     * @return 结果
     */
    public int deleteItemBatchInfoById(Long id);
}
